//
//  PQBaseFilter.swift
//  GPUImage_macOS
//
//  Created by ak on 2020/8/25.
//  Copyright © 2020 Sunset Lake Software LLC. All rights reserved.
//  功能：所有 filter 基类

import UIKit
import BFCommonKit

// 时间精度
public let BASE_FILTER_TIMESCALE:Int32 = 1_000_000

// 是否打印 filter 相关 LOG 默认为关闭状态 （0 为关闭） FilterLog 会影响性能不查看时一定要关闭
let BASE_FILTER_ENABLE_LOG: Int = 0
/** 打印 */
func FilterLog<T>( _ type : Int = 0,message: T) {
    
    if(type == 0){
        if BASE_FILTER_ENABLE_LOG == 1 {
            print(message)
        }
    }
  
}

open class PQBaseFilter: BasicOperation {
    
    //是否使用 seek 方案, seek 操作要通知到所有 filters
    var enableSeek:Bool = false
    
    var isShow:Bool = false
       //创建filter所使用的贴纸信息
    var stickerInfo:PQEditVisionTrackMaterialsModel?

    //析构数据
    public func clearData()  {
    }
}
